# DaprProtos.RegisterActorReminderRequest.Builder (dapr-sdk-parent 1.12.2 API)
declaration: package: io.dapr.v1, class: DaprProtos, class: RegisterActorReminderRequest, class: Builder

Package io.dapr.v1

# Class DaprProtos.RegisterActorReminderRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisterActorReminderRequest.Builder>
io.dapr.v1.DaprProtos.RegisterActorReminderRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.RegisterActorReminderRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.RegisterActorReminderRequest

public static final class DaprProtos.RegisterActorReminderRequest.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisterActorReminderRequest.Builder> implements DaprProtos.RegisterActorReminderRequestOrBuilder

     RegisterActorReminderRequest is the message to register a reminder for an actor of a given type and id.

Protobuf type `dapr.proto.runtime.v1.RegisterActorReminderRequest`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.RegisterActorReminderRequest.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.RegisterActorReminderRequest`
`build()`
`DaprProtos.RegisterActorReminderRequest`
`buildPartial()`
`DaprProtos.RegisterActorReminderRequest.Builder`
`clear()`
`DaprProtos.RegisterActorReminderRequest.Builder`
`clearActorId()`
`string actor_id = 2 [json_name = "actorId"];`
`DaprProtos.RegisterActorReminderRequest.Builder`
`clearActorType()`
`string actor_type = 1 [json_name = "actorType"];`
`DaprProtos.RegisterActorReminderRequest.Builder`
`clearData()`
`bytes data = 6;`
`DaprProtos.RegisterActorReminderRequest.Builder`
`clearDueTime()`
`string due_time = 4 [json_name = "dueTime"];`
`DaprProtos.RegisterActorReminderRequest.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.RegisterActorReminderRequest.Builder`
`clearName()`
`string name = 3;`
`DaprProtos.RegisterActorReminderRequest.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.RegisterActorReminderRequest.Builder`
`clearPeriod()`
`string period = 5;`
`DaprProtos.RegisterActorReminderRequest.Builder`
`clearTtl()`
`string ttl = 7;`
`DaprProtos.RegisterActorReminderRequest.Builder`
`clone()`
`String`
`getActorId()`
`string actor_id = 2 [json_name = "actorId"];`
`com.google.protobuf.ByteString`
`getActorIdBytes()`
`string actor_id = 2 [json_name = "actorId"];`
`String`
`getActorType()`
`string actor_type = 1 [json_name = "actorType"];`
`com.google.protobuf.ByteString`
`getActorTypeBytes()`
`string actor_type = 1 [json_name = "actorType"];`
`com.google.protobuf.ByteString`
`getData()`
`bytes data = 6;`
`DaprProtos.RegisterActorReminderRequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getDueTime()`
`string due_time = 4 [json_name = "dueTime"];`
`com.google.protobuf.ByteString`
`getDueTimeBytes()`
`string due_time = 4 [json_name = "dueTime"];`
`String`
`getName()`
`string name = 3;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`string name = 3;`
`String`
`getPeriod()`
`string period = 5;`
`com.google.protobuf.ByteString`
`getPeriodBytes()`
`string period = 5;`
`String`
`getTtl()`
`string ttl = 7;`
`com.google.protobuf.ByteString`
`getTtlBytes()`
`string ttl = 7;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprProtos.RegisterActorReminderRequest.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.RegisterActorReminderRequest.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.RegisterActorReminderRequest.Builder`
`mergeFrom(DaprProtos.RegisterActorReminderRequest other)`
`final DaprProtos.RegisterActorReminderRequest.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.RegisterActorReminderRequest.Builder`
`setActorId(String value)`
`string actor_id = 2 [json_name = "actorId"];`
`DaprProtos.RegisterActorReminderRequest.Builder`
`setActorIdBytes(com.google.protobuf.ByteString value)`
`string actor_id = 2 [json_name = "actorId"];`
`DaprProtos.RegisterActorReminderRequest.Builder`
`setActorType(String value)`
`string actor_type = 1 [json_name = "actorType"];`
`DaprProtos.RegisterActorReminderRequest.Builder`
`setActorTypeBytes(com.google.protobuf.ByteString value)`
`string actor_type = 1 [json_name = "actorType"];`
`DaprProtos.RegisterActorReminderRequest.Builder`
`setData(com.google.protobuf.ByteString value)`
`bytes data = 6;`
`DaprProtos.RegisterActorReminderRequest.Builder`
`setDueTime(String value)`
`string due_time = 4 [json_name = "dueTime"];`
`DaprProtos.RegisterActorReminderRequest.Builder`
`setDueTimeBytes(com.google.protobuf.ByteString value)`
`string due_time = 4 [json_name = "dueTime"];`
`DaprProtos.RegisterActorReminderRequest.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.RegisterActorReminderRequest.Builder`
`setName(String value)`
`string name = 3;`
`DaprProtos.RegisterActorReminderRequest.Builder`
`setNameBytes(com.google.protobuf.ByteString value)`
`string name = 3;`
`DaprProtos.RegisterActorReminderRequest.Builder`
`setPeriod(String value)`
`string period = 5;`
`DaprProtos.RegisterActorReminderRequest.Builder`
`setPeriodBytes(com.google.protobuf.ByteString value)`
`string period = 5;`
`DaprProtos.RegisterActorReminderRequest.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.RegisterActorReminderRequest.Builder`
`setTtl(String value)`
`string ttl = 7;`
`DaprProtos.RegisterActorReminderRequest.Builder`
`setTtlBytes(com.google.protobuf.ByteString value)`
`string ttl = 7;`
`final DaprProtos.RegisterActorReminderRequest.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisterActorReminderRequest.Builder>`

### clear

public DaprProtos.RegisterActorReminderRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisterActorReminderRequest.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisterActorReminderRequest.Builder>`

### getDefaultInstanceForType

public DaprProtos.RegisterActorReminderRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.RegisterActorReminderRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.RegisterActorReminderRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.RegisterActorReminderRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisterActorReminderRequest.Builder>`

### setField

public DaprProtos.RegisterActorReminderRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisterActorReminderRequest.Builder>`

### clearField

public DaprProtos.RegisterActorReminderRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisterActorReminderRequest.Builder>`

### clearOneof

public DaprProtos.RegisterActorReminderRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisterActorReminderRequest.Builder>`

### setRepeatedField

public DaprProtos.RegisterActorReminderRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisterActorReminderRequest.Builder>`

### addRepeatedField

public DaprProtos.RegisterActorReminderRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisterActorReminderRequest.Builder>`

### mergeFrom

public DaprProtos.RegisterActorReminderRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.RegisterActorReminderRequest.Builder>`

### mergeFrom

public DaprProtos.RegisterActorReminderRequest.Builder mergeFrom(DaprProtos.RegisterActorReminderRequest other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisterActorReminderRequest.Builder>`

### mergeFrom

public DaprProtos.RegisterActorReminderRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.RegisterActorReminderRequest.Builder>`
Throws:
  `IOException`

### getActorType

public String getActorType()
`string actor_type = 1 [json_name = "actorType"];`

Specified by:
  `getActorType` in interface `DaprProtos.RegisterActorReminderRequestOrBuilder`
Returns:
  The actorType.

### getActorTypeBytes

public com.google.protobuf.ByteString getActorTypeBytes()
`string actor_type = 1 [json_name = "actorType"];`

Specified by:
  `getActorTypeBytes` in interface `DaprProtos.RegisterActorReminderRequestOrBuilder`
Returns:
  The bytes for actorType.

### setActorType

public DaprProtos.RegisterActorReminderRequest.Builder setActorType(String value)
`string actor_type = 1 [json_name = "actorType"];`

Parameters:
  `value` - The actorType to set.
Returns:
  This builder for chaining.

### clearActorType

public DaprProtos.RegisterActorReminderRequest.Builder clearActorType()
`string actor_type = 1 [json_name = "actorType"];`

Returns:
  This builder for chaining.

### setActorTypeBytes

public DaprProtos.RegisterActorReminderRequest.Builder setActorTypeBytes(com.google.protobuf.ByteString value)
`string actor_type = 1 [json_name = "actorType"];`

Parameters:
  `value` - The bytes for actorType to set.
Returns:
  This builder for chaining.

### getActorId

public String getActorId()
`string actor_id = 2 [json_name = "actorId"];`

Specified by:
  `getActorId` in interface `DaprProtos.RegisterActorReminderRequestOrBuilder`
Returns:
  The actorId.

### getActorIdBytes

public com.google.protobuf.ByteString getActorIdBytes()
`string actor_id = 2 [json_name = "actorId"];`

Specified by:
  `getActorIdBytes` in interface `DaprProtos.RegisterActorReminderRequestOrBuilder`
Returns:
  The bytes for actorId.

### setActorId

public DaprProtos.RegisterActorReminderRequest.Builder setActorId(String value)
`string actor_id = 2 [json_name = "actorId"];`

Parameters:
  `value` - The actorId to set.
Returns:
  This builder for chaining.

### clearActorId

public DaprProtos.RegisterActorReminderRequest.Builder clearActorId()
`string actor_id = 2 [json_name = "actorId"];`

Returns:
  This builder for chaining.

### setActorIdBytes

public DaprProtos.RegisterActorReminderRequest.Builder setActorIdBytes(com.google.protobuf.ByteString value)
`string actor_id = 2 [json_name = "actorId"];`

Parameters:
  `value` - The bytes for actorId to set.
Returns:
  This builder for chaining.

### getName

public String getName()
`string name = 3;`

Specified by:
  `getName` in interface `DaprProtos.RegisterActorReminderRequestOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()
`string name = 3;`

Specified by:
  `getNameBytes` in interface `DaprProtos.RegisterActorReminderRequestOrBuilder`
Returns:
  The bytes for name.

### setName

public DaprProtos.RegisterActorReminderRequest.Builder setName(String value)
`string name = 3;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public DaprProtos.RegisterActorReminderRequest.Builder clearName()
`string name = 3;`

Returns:
  This builder for chaining.

### setNameBytes

public DaprProtos.RegisterActorReminderRequest.Builder setNameBytes(com.google.protobuf.ByteString value)
`string name = 3;`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### getDueTime

public String getDueTime()
`string due_time = 4 [json_name = "dueTime"];`

Specified by:
  `getDueTime` in interface `DaprProtos.RegisterActorReminderRequestOrBuilder`
Returns:
  The dueTime.

### getDueTimeBytes

public com.google.protobuf.ByteString getDueTimeBytes()
`string due_time = 4 [json_name = "dueTime"];`

Specified by:
  `getDueTimeBytes` in interface `DaprProtos.RegisterActorReminderRequestOrBuilder`
Returns:
  The bytes for dueTime.

### setDueTime

public DaprProtos.RegisterActorReminderRequest.Builder setDueTime(String value)
`string due_time = 4 [json_name = "dueTime"];`

Parameters:
  `value` - The dueTime to set.
Returns:
  This builder for chaining.

### clearDueTime

public DaprProtos.RegisterActorReminderRequest.Builder clearDueTime()
`string due_time = 4 [json_name = "dueTime"];`

Returns:
  This builder for chaining.

### setDueTimeBytes

public DaprProtos.RegisterActorReminderRequest.Builder setDueTimeBytes(com.google.protobuf.ByteString value)
`string due_time = 4 [json_name = "dueTime"];`

Parameters:
  `value` - The bytes for dueTime to set.
Returns:
  This builder for chaining.

### getPeriod

public String getPeriod()
`string period = 5;`

Specified by:
  `getPeriod` in interface `DaprProtos.RegisterActorReminderRequestOrBuilder`
Returns:
  The period.

### getPeriodBytes

public com.google.protobuf.ByteString getPeriodBytes()
`string period = 5;`

Specified by:
  `getPeriodBytes` in interface `DaprProtos.RegisterActorReminderRequestOrBuilder`
Returns:
  The bytes for period.

### setPeriod

public DaprProtos.RegisterActorReminderRequest.Builder setPeriod(String value)
`string period = 5;`

Parameters:
  `value` - The period to set.
Returns:
  This builder for chaining.

### clearPeriod

public DaprProtos.RegisterActorReminderRequest.Builder clearPeriod()
`string period = 5;`

Returns:
  This builder for chaining.

### setPeriodBytes

public DaprProtos.RegisterActorReminderRequest.Builder setPeriodBytes(com.google.protobuf.ByteString value)
`string period = 5;`

Parameters:
  `value` - The bytes for period to set.
Returns:
  This builder for chaining.

### getData

public com.google.protobuf.ByteString getData()
`bytes data = 6;`

Specified by:
  `getData` in interface `DaprProtos.RegisterActorReminderRequestOrBuilder`
Returns:
  The data.

### setData

public DaprProtos.RegisterActorReminderRequest.Builder setData(com.google.protobuf.ByteString value)
`bytes data = 6;`

Parameters:
  `value` - The data to set.
Returns:
  This builder for chaining.

### clearData

public DaprProtos.RegisterActorReminderRequest.Builder clearData()
`bytes data = 6;`

Returns:
  This builder for chaining.

### getTtl

public String getTtl()
`string ttl = 7;`

Specified by:
  `getTtl` in interface `DaprProtos.RegisterActorReminderRequestOrBuilder`
Returns:
  The ttl.

### getTtlBytes

public com.google.protobuf.ByteString getTtlBytes()
`string ttl = 7;`

Specified by:
  `getTtlBytes` in interface `DaprProtos.RegisterActorReminderRequestOrBuilder`
Returns:
  The bytes for ttl.

### setTtl

public DaprProtos.RegisterActorReminderRequest.Builder setTtl(String value)
`string ttl = 7;`

Parameters:
  `value` - The ttl to set.
Returns:
  This builder for chaining.

### clearTtl

public DaprProtos.RegisterActorReminderRequest.Builder clearTtl()
`string ttl = 7;`

Returns:
  This builder for chaining.

### setTtlBytes

public DaprProtos.RegisterActorReminderRequest.Builder setTtlBytes(com.google.protobuf.ByteString value)
`string ttl = 7;`

Parameters:
  `value` - The bytes for ttl to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final DaprProtos.RegisterActorReminderRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisterActorReminderRequest.Builder>`

### mergeUnknownFields

public final DaprProtos.RegisterActorReminderRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisterActorReminderRequest.Builder>`